#!/usr/bin/env gnuplot -c
# == DEFINICIONS ==
outputfile = '../output/2_3_3' # Nom de la imatge resultant (sense extensió)
datafile_a = '../data/2_3_3_a.dat' # Nom del fitxer de dades que es vol usar
datafile_b = '../data/2_3_3_b.dat' # Nom del fitxer de dades que es vol usar

# == CONFIGURACIÓ DE L'OUTPUT PEL LATEX ==
set terminal cairolatex size 8cm, 6cm font ",10"
set output outputfile.'.tex'

# == CONFIGURACIÓ DEL PLOT ==
set xlabel '$R_{\text{nominal}} \, (\si{\ohm})$'
set ylabel '$R_{\text{mesurada}} \, (\si{\ohm})$'

# Opcions per la llegenda:
set key above
set key spacing 1.5
set key font ",8.5"

set logscale xy

plot datafile_a u 1:4 t "Muntatge (a)" w p, datafile_b u 1:4 t "Muntatge (b)" w p

# == CONFIGURACIÓ DE L'OUTPUT PER SVG ==
# Això ho uso per generar també una imatge de previsualització que puc carregar
# a l'ordinador per veure més o menys com a sortit el plot sense haver
# d'inserir-ho al LaTeX per veure-ho.
set terminal svg dashed size 600, 600 font "Computer Modern,Tinos,Helvetica,15"
set output outputfile.'.svg'
replot
